Subject: RE: draft-kohn-assigned-numbers-00.txt

From: Dan Kohn <[email-masked]>
Date: Mon, 25 Sep 2000 14:21:44 -0700

First, a disclaimer.  This I-D was just published to suggest one way to deal
with the assigned number series in the future.  The actual decision is the
province of IANA and the IESG.  I was informed by IANA that they are
currently revising RFC 1700, but I don't know what form they're planning to
use.

The specific inspiration for this draft was the following line from RFC
2929, which seems much better than referencing an assigned numbers RFC that
is nearly guaranteed to be out of date on publication: "IANA currently
maintains a web page of DNS parameters.  See
<http://www.iana.org/numbers.htm>."

As to your comment, filling in the references column on
<http://www.isi.edu/in-notes/iana/assignments/port-numbers> would be a
useful exercise that I expect IANA would be willing to accept help on, but
it does seem a lower priority than setting up new namespaces.

I don't think I understand why one would need a special search engine.  For
what it's worth, searching Google for IANA TCP brings up the port
assignments <http://www.google.com/search?q=iana+tcp>.

In any event, I believe a static RFC snapshot of assigned numbers such as
RFC 1700 has the same limitations as <http://www.iana.org/numbers.html>,
with the additional downside that it is nearly guaranteed to be out of date.

		- dan
--
Dan Kohn <mailto:[email-masked]>
<http://www.dankohn.com>  <tel:+1-650-327-2600>

-----Original Message-----
From: Mr. James W. Laferriere [mailto:[email-masked]]
Sent: Monday, 2000-09-25 13:04
To: ietf maillist
Subject: Re: draft-kohn-assigned-numbers-00.txt

	Hello All ,  Has everyone seen this & not wondered where the 
	search engine is ?  I also see a lack of port# -> draft/rfc
	capabilities .  I hope people other than myself find this
	archive of limited use ?  Tia ,  JimL

On Mon, 25 Sep 2000 [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts
>directories.
> 
> 
> 	Title		: Assigned Numbers
> 	Author(s)	: D. Kohn
> 	Filename	: draft-kohn-assigned-numbers-00.txt
> 	Pages		: 6
> 	Date		: 22-Sep-00
> 	
> This document replaces the static snapsnot of current assigned
> numbers used in previous documents with a link to
> <http://www.iana.org/numbers.html>.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-kohn-assigned-numbers-00.txt
> 
> Internet-Drafts are also available by anonymous FTP. Login with the
username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-kohn-assigned-numbers-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-kohn-assigned-numbers-00.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 

       +----------------------------------------------------------------+
       | James   W.   Laferriere | System  Techniques | Give me VMS     |
       | Network        Engineer | 25416      22nd So |  Give me Linux  |
       | [email-masked] | DesMoines WA 98198 |   only  on  AXP |
       +----------------------------------------------------------------+